## org.gnome.evolution.dataserver.SourceManager org.gnome.evolution.dataserver.SourceManager — SourceManager interface |

## Methods

    CreateSources (IN  a{ss} array);
    Reload        ();

## Description

Interface for top-level manager singleton objects.

## Method Details

### The CreateSources() method

    CreateSources (IN  a{ss} array);

Creates a new data source for each "uid" and "data" string pair in `array` and adds them to the list of managed objects. The "uid" part is a unique identifier for the new source, and the "data" part is the raw key file data describing the new source.

`IN a{ss} `array``: | An array of "uid" and "data" pairs

### The Reload() method

    Reload ();

Reloads the registry service as if it were stopped and restarted. Client applications will see all exported objects suddenly removed and replaced by a new and possibly different set of objects.

The primary use case for this method is to rerun the data migration routines that run automatically on startup.

A reload can also be triggered by sending the SourceManager process a SIGHUP on platforms that support it.